Add contents to profiles

Add one or more contents to multiple profiles, with a limit of 100 for both profiles and content items.

Path Params
string
required

Id of teamSite, a guid or "1" (default teamSite)

Body Params

Request body samples

{
    "requestId": "65aad570-bc2e-4398-8d23-c3eafb27acf3",
    "shouldSendNotification": false,
    "actionDetails": [
        {
            "profileId": "1454656e-6412-4c2b-a926-3ddd85397f26",
            "profileVersionId": "909e3fa7-7966-462d-9e56-859966d0b1c7",
            "folderIds": [
                "root"
            ],
            "contents": [
                {
                    "contentId": "6604995b-65c8-460c-abf4-2c0512292aeb",
                    "versionId": "8d8d89bc-3803-409d-9937-2b76f80bafd6"
                }
            ]
        }
    ]
}
string

The unique id to identify a request

boolean

The indicator to show if notifications should be send to subscribers and followers when contents were added to profile

actionDetails
array of objects
required

Profile with added contents

actionDetails*
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json